import request from '@/utils/request'

// 查询缴费记录列表
export function listPayRecord(query) {
  return request({
    url: '/business/payRecord/list',
    method: 'get',
    params: query
  })
}

// 查询缴费记录详细
export function getPayRecord(recordId) {
  return request({
    url: '/business/payRecord/' + recordId,
    method: 'get'
  })
}

// 新增缴费记录
export function addPayRecord(data) {
  return request({
    url: '/business/payRecord',
    method: 'post',
    data: data
  })
}

// 修改缴费记录
export function updatePayRecord(data) {
  return request({
    url: '/business/payRecord',
    method: 'put',
    data: data
  })
}

// 删除缴费记录
export function delPayRecord(recordId) {
  return request({
    url: '/business/payRecord/' + recordId,
    method: 'delete'
  })
}
